summaryrefslogtreecommitdiff
path: root/tests.as-root/morph
diff options
context:
space:
mode:
Diffstat (limited to 'tests.as-root/morph')
-rwxr-xr-xtests.as-root/morph29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests.as-root/morph b/tests.as-root/morph
new file mode 100755
index 00000000..8ba3ae78
--- /dev/null
+++ b/tests.as-root/morph
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# Run morph in a way suitable for tests.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+fatalcat(){
+ cat "$1" 1>&2
+ return 1
+}
+
+PATH="$(pwd):$PATH"
+./morph --no-default-config --config="$DATADIR/morph.conf" "$@" || \
+ fatalcat "$DATADIR/morph.log"